Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.pcoll
Class JTAPersistManager

`java.lang.Object
oracle.jbo.pcoll.JTAPersistManager`

All Implemented Interfaces:
  PersistManager

public class JTAPersistManager
extends java.lang.Object
implements PersistManager

Field Summary

Fields inherited from interface oracle.jbo.pcoll.PersistManager
`CLOSE_RETAIN_TABLE, INIT_TABLE_EXISTS, PCEVT_CANT_BE_PERSISTED, PCEVT_NO_PASSIVATE_NON_ZERO_LOCK, PCEVT_NO_PASSIVATE_NOT_ALL_ELEM_PERS, PCEVT_NODE_RECENTLY_USED`

Constructor Summary
`JTAPersistManager()`

Method Summary
`void` | `changeParent(long id, long parid, int collid)`
`void` | `close()`
`void` | `close(int flags)`
`void` | `commit()`
`void` | `delete(long id, int collid)`
`void` | `deleteAll(int collid)`
`int` | `getMaxTabNameLength()`
`long` | `getTableSignature(java.lang.String tableName)`
`boolean` | `holdTableName(java.lang.String tableName, boolean forCreate)`
`void` | `init(int flags)`
`void` | `insert(long id, long parid, int collid, PCollKeyInfo[] keyArr, byte[] content)`
`void` | `notifyPCollEvent(int id, java.lang.Object obj, java.lang.Object otherInfo)`
`long` | `queryNextCollectionId()`
`long` | `queryNextNodeId(int colId)`
`long` | `queryNextObjId(int colId)`
`java.lang.Object[]` | `retrieve(long id, int collid, boolean keyonly, long[] parentIdRet)`
`long[]` | `retrieveIdsWithKey(int keyId, java.lang.Object keyVal, int collid)`
`void` | `setCommitThreshhold(int value)`
`void` | `setPCollManager(PCollManager mgr)`
`void` | `setPersistent(boolean pers)`
`void` | `setTableCreated(boolean tableCreated)`
`void` | `setTableName(java.lang.String tableName)` public void setConnection(Connection conn) { mManager.setConnection(conn); }
`void` | `update(long id, long parid, int collid, PCollKeyInfo[] keyArr, byte[] content)`
`boolean` | `waitForTableName(java.lang.String tableName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTAPersistManager

    public JTAPersistManager()

Method Detail

### init

    public void init(int flags)

  Specified by:
    `init` in interface `PersistManager`

### close

    public void close()

  Specified by:
    `close` in interface `PersistManager`

### close

    public void close(int flags)

  Specified by:
    `close` in interface `PersistManager`

### getMaxTabNameLength

    public int getMaxTabNameLength()

  Specified by:
    `getMaxTabNameLength` in interface `PersistManager`

### setPCollManager

    public void setPCollManager(PCollManager mgr)

  Specified by:
    `setPCollManager` in interface `PersistManager`

### setTableName

    public void setTableName(java.lang.String tableName)

  public void setConnection(Connection conn) { mManager.setConnection(conn); }
  Specified by:
    `setTableName` in interface `PersistManager`

### setCommitThreshhold

    public void setCommitThreshhold(int value)

  Specified by:
    `setCommitThreshhold` in interface `PersistManager`

### setPersistent

    public void setPersistent(boolean pers)

  Specified by:
    `setPersistent` in interface `PersistManager`

### setTableCreated

    public void setTableCreated(boolean tableCreated)

  Specified by:
    `setTableCreated` in interface `PersistManager`

### commit

    public void commit()

  Specified by:
    `commit` in interface `PersistManager`

### getTableSignature

    public long getTableSignature(java.lang.String tableName)

  Specified by:
    `getTableSignature` in interface `PersistManager`

### waitForTableName

    public boolean waitForTableName(java.lang.String tableName)

  Specified by:
    `waitForTableName` in interface `PersistManager`

### holdTableName

    public boolean holdTableName(java.lang.String tableName,
                                 boolean forCreate)

  Specified by:
    `holdTableName` in interface `PersistManager`

### queryNextCollectionId

    public long queryNextCollectionId()

  Specified by:
    `queryNextCollectionId` in interface `PersistManager`

### queryNextObjId

    public long queryNextObjId(int colId)

  Specified by:
    `queryNextObjId` in interface `PersistManager`

### queryNextNodeId

    public long queryNextNodeId(int colId)

  Specified by:
    `queryNextNodeId` in interface `PersistManager`

### insert

    public void insert(long id,
                       long parid,
                       int collid,
                       PCollKeyInfo[] keyArr,
                       byte[] content)

  Specified by:
    `insert` in interface `PersistManager`

### update

    public void update(long id,
                       long parid,
                       int collid,
                       PCollKeyInfo[] keyArr,
                       byte[] content)

  Specified by:
    `update` in interface `PersistManager`

### changeParent

    public void changeParent(long id,
                             long parid,
                             int collid)

  Specified by:
    `changeParent` in interface `PersistManager`

### delete

    public void delete(long id,
                       int collid)

  Specified by:
    `delete` in interface `PersistManager`

### deleteAll

    public void deleteAll(int collid)

  Specified by:
    `deleteAll` in interface `PersistManager`

### retrieve

    public java.lang.Object[] retrieve(long id,
                                       int collid,
                                       boolean keyonly,
                                       long[] parentIdRet)

  Specified by:
    `retrieve` in interface `PersistManager`

### retrieveIdsWithKey

    public long[] retrieveIdsWithKey(int keyId,
                                     java.lang.Object keyVal,
                                     int collid)

  Specified by:
    `retrieveIdsWithKey` in interface `PersistManager`

### notifyPCollEvent

    public void notifyPCollEvent(int id,
                                 java.lang.Object obj,
                                 java.lang.Object otherInfo)

  Specified by:
    `notifyPCollEvent` in interface `PersistManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.